Package org.codehaus.groovy.classgen.asm.sc

# Class StaticTypesWriterControllerFactoryImpl

java.lang.Object
org.codehaus.groovy.classgen.asm.sc.StaticTypesWriterControllerFactoryImpl

All Implemented Interfaces:
  `WriterControllerFactory`

public class StaticTypesWriterControllerFactoryImpl extends Object implements WriterControllerFactory

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StaticTypesWriterControllerFactoryImpl()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `WriterController`
  `makeController(WriterController normalController)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StaticTypesWriterControllerFactoryImpl

    public StaticTypesWriterControllerFactoryImpl()

- ## Method Details

  - ### makeController

    public WriterController makeController(WriterController normalController)
    Specified by:
      `makeController` in interface `WriterControllerFactory`